Dynamiq
Knowledge Bases

Get a knowledge base item

Returns a single knowledge base item.

GET
/v1/knowledgebase-items/{knowledgebase_item_id}

Authorization

AuthorizationBearer <token>

Organization or project Access Key created in the Dynamiq console. Used for deployed-app (Runs API), AI Gateway, traces collector, and management API requests. Send as Authorization: Bearer <access-key>.

In: header

Path Parameters

knowledgebase_item_id*string

Knowledge base item UUID.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/knowledgebase-items/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": {
    "id": "8d9e0f1a-2b3c-4d4e-8f5a-6b7c8d9e0f1a",
    "knowledgebase_id": "5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d",
    "status": "processed",
    "uploaded_at": "2026-06-10T09:00:00Z",
    "name": "billing-faq.pdf",
    "metadata": {
      "source": "billing-faq"
    },
    "task_id": "4e5f6071-8293-44b5-86d7-e8f90112a3b4"
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Unauthorized"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not Found"
  }
}